Subject: WG ACTION: Border Gateway Multicast Protocol (bgmp)

From: The IESG <[email-masked]>
Date: Tue, 31 Aug 1999 06:49:14 -0400

A new working group has been formed in the Routing Area of the
IETF. Please contact the chair or Area Directors for additional
information.

Border Gateway Multicast Protocol (bgmp)
----------------------------------------
 Current Status: Active Working Group
 
 Chair(s):
     Bill Fenner <[email-masked]>
     Brad Cain <[email-masked]>
 
 Routing Area Director(s): 
     David Oran  <[email-masked]>
     Rob Coltun  <[email-masked]>
 
 Routing Area Advisor: 
     Rob Coltun  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe bgmp
     Archive:           ftp://catarina.usc.edu/pub/bgmp/mail-archive/
 
Description of Working Group:
 
As IP multicast is being more widely deployed and used, the
existing multicast routing algorithms have demonstrated several
limitations which make them unsuitable for deployment globally
or among multiple provider domains.  Protocols like DVMRP and
PIM Dense Mode that rely on broadcasting and pruning leave
state in parts of the network that are not on the multicast
delivery tree.  Protocols like CBT and PIM Sparse Mode use a
centralized resource to learn of multicast sources.  Service
providers are reluctant to maintain state for multicast groups
that have no receivers in their domain or use a centralized
resource in another domain that they cannot control.

BGMP is a scalable multicast routing protocol which addresses
these problems.  Like CBT and PIM Sparse Mode, BGMP chooses a
global root for a delivery tree.  However, the root is a domain,
not a single router, so if there is any path available to the
domain connectivity can be maintained.  BGMP builds a bidirectional,
shared tree of domains.  Similarly to the unicast EGP/IGP split,
BGMP is used as the inter-domain or external protocol, while
domains can run any multicast IGP internally (such as CBT or
PIM Sparse Mode), and can build source-specific shortest-path
distribution branches to supplant the shared tree where needed.

The BGMP working group is chartered to complete the protocol
specification and follow it through the Internet standards
track.  It will also help to design a transition mechanism
from MSDP (the Multicast Source Distribution Protocol, an
interim interdomain solution that is unlikely to scale for
the long term) to Internet-wide BGMP.
 
 Goals and Milestones: 
 
   Nov 99       Develop security portion of spec                               

   Nov 99       Evaluate forwarding rules and transient behavior under a wide 
                range of topologies under simulation                           

   Nov 99       Evaluate interoperability with multicast IGPs in more detail 
                and identify any relevant optimizations and/or implementation 
                issues.                                                        

   Nov 99       Resolve multi-access LAN forwarding mechanisms                 

   Nov 99       Consider monitoring and measurement (e.g. multicast traceroute)
                and evaluate support for existing and/or new monitoring and 
                measurement tools and protocols.                               

   Mar 00       Produce initial version of MIB                                 

   Mar 00       Produce revised protocol specification based upon simulations 
                and evaluations                                                

   Mar 00       Design a transition architecture from PIM-SM/MSDP to BGMP      

   Jul 00       Guide the development of a reference implementation            

   Jul 00       Oversee interoperability experiments                           

   Jul 00       Submit final version of protocol specification Internet Draft  

   Nov 00       Finalize MIB                                                   

   Nov 00       Produce applicability document